Kumusoft Solutions
EFRIS API
Auth Service
EFRIS API
Auth Service
  1. EFRIS API
  • Get Current Taxpayer Details
    GET
  • Update AES Key
    POST
  • Get Efris Stock Items
    GET
  • Update Stock List
    POST
  • Verify TIN
    GET
  • Fiscalise
    POST
  • Preview Invoice
    POST
  • Issue CreditNote
    POST
  • Register EFRIS Product
    POST
  • Get Units Of Measure
    GET
  • Increase Stock
    POST
  • EFRIS Invoice Report
    POST
  • Invoice Details
    GET
  • Get Saved Items List
    GET
  • Get Master Data
    GET
  • Reduce stock
    POST
  1. EFRIS API

Reduce stock

POST
/efris/stock-adjust

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Examples

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://auth.efris.kakasa.xyz/api/v1/efris/stock-adjust' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "adjustType": "105", //required
    //101: Expired Goods
    //102: Damaged Goods
    //103: Personal Uses
    //105: Raw Material(s)
    //104: Others
    "remarks": "Supplier Inc", //if adjustType = 104, it'\''s required
    "branchId": "", //not required
    "stockInItem": [
        {
            "itemCode": "DFOO1",
            "quantity": 398, //50398
            "unitPrice": 5500
        }
    ]
}'
Response Response Example
{}
Previous
Get Master Data
Built with